package com.yonge.cooleshow.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

public class ImNetworkMusicSheetDownloadMessageContent{
    //伴奏编号
    @ApiModelProperty(value = "伴奏编号")
    private Integer id;

    //曲目编号
    @ApiModelProperty(value = "曲目编号")
    private Integer musicSheetId;

    //声部
    @ApiModelProperty(value = "声部")
    private Integer subjectId;

    //声部
    @ApiModelProperty(value = "声部")
    private String subjectName;

    //原音url
    @ApiModelProperty(value = "原音url")
    private String mp3Url = "";

    //速度
    @ApiModelProperty(value = "速度")
    private Integer speed;

    //xmlUrl
    @ApiModelProperty(value = "xmlUrl")
    private String xmlUrl = "";

    //曲目名
    @ApiModelProperty(value = "曲目名")
    private String examSongName;

    //标签名
    @ApiModelProperty(value = "标签名")
    private String categoriesName;

    //标签分类
    @ApiModelProperty(value = "标签分类")
    private Integer categoriesId;

    @ApiModelProperty(value = "类型")
    private String type;

    /**  */
    @ApiModelProperty(value = "url")
    private String url = "";

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Integer musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMp3Url() {
        return mp3Url;
    }

    public void setMp3Url(String mp3Url) {
        this.mp3Url = mp3Url;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public String getXmlUrl() {
        return xmlUrl;
    }

    public void setXmlUrl(String xmlUrl) {
        this.xmlUrl = xmlUrl;
    }

    public String getExamSongName() {
        return examSongName;
    }

    public void setExamSongName(String examSongName) {
        this.examSongName = examSongName;
    }

    public String getCategoriesName() {
        return categoriesName;
    }

    public void setCategoriesName(String categoriesName) {
        this.categoriesName = categoriesName;
    }

    public Integer getCategoriesId() {
        return categoriesId;
    }

    public void setCategoriesId(Integer categoriesId) {
        this.categoriesId = categoriesId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}